#2727 closed defect (fixed)

FAT file systems use wrong semaphore for mutual exclusion

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: fs/fat Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

cpukit/libfs/src/dosfs/msdos_initsupp.c-
cpukit/libfs/src/dosfs/msdos_initsupp.c-    sc = rtems_semaphore_create(3,
cpukit/libfs/src/dosfs/msdos_initsupp.c-                                1,
cpukit/libfs/src/dosfs/msdos_initsupp.c:                                RTEMS_BINARY_SEMAPHORE | RTEMS_FIFO,
cpukit/libfs/src/dosfs/msdos_initsupp.c-                                0,
cpukit/libfs/src/dosfs/msdos_initsupp.c-                                &fs_info->vol_sema);
cpukit/libfs/src/dosfs/msdos_initsupp.c

Should use a binary semaphore with inherit priority.

Change History (4)

comment:1 Changed on Jun 6, 2016 at 11:16:31 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In a7f0096b730ebebb0b22b5eacb2ea20cd130344d/rtems:

dosfs: Use proper semaphore attr for mutex

Close #2727.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: fsfs/fat

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.